import { ExceptionBase } from '@mobicoop/ddd-library';

export class MatchingNotFoundException extends ExceptionBase {
  static readonly message = 'Matching error';

  public readonly code = 'MATCHER.MATCHING_NOT_FOUND';

  constructor(cause?: Error, metadata?: unknown) {
    super(MatchingNotFoundException.message, cause, metadata);
  }
}
